Apply coupon to customer
POST
/v1/coupons/apply
Apply a coupon to a customer.
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
AppliedCouponResponse
object
id
required
Id
string format: uuid
coupon_id
required
Coupon Id
string format: uuid
customer_id
required
Customer Id
string format: uuid
frequency
required
Frequency
string
status
required
Status
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Coupon is not active
Unauthorized
Coupon or customer not found
Coupon already applied to this customer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context